bm::compressed_buffer_collection< BV >::statistics Struct Reference

collection statistics More...

`#include <bmsparsevec_util.h>`

## Data Fields

size_t | memory_used
| total capacity
size_t | max_serialize_mem
| memory needed for serialization

## Detailed Description

template<class BV>
struct bm::compressed_buffer_collection< BV >::statistics

collection statistics

Definition at line 321 of file bmsparsevec_util.h.

## Field Documentation

## max_serialize_mem

template<class BV>

size_t bm::compressed_buffer_collection< BV >::statistics::max_serialize_mem

memory needed for serialization

Definition at line 324 of file bmsparsevec_util.h.

Referenced by bm::compressed_buffer_collection< BV >::calc_stat().

## memory_used

template<class BV>

size_t bm::compressed_buffer_collection< BV >::statistics::memory_used

total capacity

Definition at line 323 of file bmsparsevec_util.h.

Referenced by bm::compressed_buffer_collection< BV >::calc_stat().

The documentation for this struct was generated from the following file:

- bmsparsevec_util.h